Bug 211015 - Amarok crashed closing it from the systray
Summary: Amarok crashed closing it from the systray
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: 2.2.0
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-18 21:50 UTC by Fif59
Modified: 2009-10-29 19:23 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fif59 2009-10-18 21:50:13 UTC
Application that crashed: amarok
Version of the application: 2.2.0
KDE Version: 4.3.2 (KDE 4.3.2)
Qt Version: 4.5.3
Operating System: Linux 2.6.31.4-desktop-0.rc2.1mnb i686
Distribution: "Mandriva Linux 2010.0"

 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb2ff16d0 (LWP 28336))]

Thread 7 (Thread 0xa80d6b70 (LWP 28347)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5d189e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/libpthread.so.0
#2  0xb5e616ed in __pthread_cond_wait (cond=0x9cafe50, mutex=0x9cafe38) at forward.c:139
#3  0xb69c1ff0 in QWaitCondition::wait (this=0x9cafdb0, mutex=0x9b12498, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb521e3c9 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9cafd98, th=0x9c046e0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb5220abb in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9b78eb8, th=0x9c046e0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb521ca1a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9cafd98, th=0x9c046e0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb5220bbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x9b78eb8, th=0x9c046e0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb521e653 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9cafd98, th=0x9c046e0, previous=0x0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb5220bd8 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9b78eb8, th=0x9c046e0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0xb521e653 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9cafd98, th=0x9c046e0, previous=0x9d97ca0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0xb521ec34 in ThreadWeaver::ThreadRunHelper::run (this=0xa80d6354, parent=0x9cafd98, th=0x9c046e0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/Thread.cpp:87
#12 0xb521f2aa in ThreadWeaver::Thread::run (this=0x9c046e0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/Thread.cpp:142
#13 0xb69c0ec3 in QThreadPrivate::start (arg=0x9c046e0) at thread/qthread_unix.cpp:188
#14 0xb5d14885 in start_thread () from /lib/i686/libpthread.so.0
#15 0xb5e5357e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 6 (Thread 0xa6508b70 (LWP 28348)):
[KCrash Handler]
#6  0xa6e6016b in JamendoDatabaseHandler::insertTrack (this=0xa543760, track=0xa6507d54) at /usr/src/debug/amarok-2.2.0/src/services/jamendo/JamendoDatabaseHandler.cpp:155
#7  0xa6e68cfa in JamendoXmlParser::readTrack (this=0x9d9fed8) at /usr/src/debug/amarok-2.2.0/src/services/jamendo/JamendoXmlParser.cpp:380
#8  0xa6e6a0d0 in JamendoXmlParser::readAlbum (this=0x9d9fed8) at /usr/src/debug/amarok-2.2.0/src/services/jamendo/JamendoXmlParser.cpp:298
#9  0xa6e6a8f0 in JamendoXmlParser::readArtist (this=0x9d9fed8) at /usr/src/debug/amarok-2.2.0/src/services/jamendo/JamendoXmlParser.cpp:239
#10 0xa6e6adf2 in JamendoXmlParser::readConfigFile (this=0x9d9fed8, filename=@0x9d9feec) at /usr/src/debug/amarok-2.2.0/src/services/jamendo/JamendoXmlParser.cpp:192
#11 0xa6e6af46 in JamendoXmlParser::run (this=0x9d9fed8) at /usr/src/debug/amarok-2.2.0/src/services/jamendo/JamendoXmlParser.cpp:137
#12 0xb521fce8 in ThreadWeaver::JobRunHelper::runTheJob (this=0xa65082cc, th=0x9bd3850, job=0x9d9fed8) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/Job.cpp:106
#13 0xb5220043 in ThreadWeaver::Job::execute (this=0x9d9fed8, th=0x9bd3850) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/Job.cpp:135
#14 0xb521ec02 in ThreadWeaver::ThreadRunHelper::run (this=0xa6508354, parent=0x9cafd98, th=0x9bd3850) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/Thread.cpp:95
#15 0xb521f2aa in ThreadWeaver::Thread::run (this=0x9bd3850) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/Thread.cpp:142
#16 0xb69c0ec3 in QThreadPrivate::start (arg=0x9bd3850) at thread/qthread_unix.cpp:188
#17 0xb5d14885 in start_thread () from /lib/i686/libpthread.so.0
#18 0xb5e5357e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0xa5d07b70 (LWP 28349)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5d189e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/libpthread.so.0
#2  0xb5e616ed in __pthread_cond_wait (cond=0x9cafe50, mutex=0x9cafe38) at forward.c:139
#3  0xb69c1ff0 in QWaitCondition::wait (this=0x9cafdb0, mutex=0x9b12498, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb521e3c9 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9cafd98, th=0x9b5e3b0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb5220abb in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9b78eb8, th=0x9b5e3b0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb521ca1a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9cafd98, th=0x9b5e3b0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb5220bbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x9b78eb8, th=0x9b5e3b0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb521e653 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9cafd98, th=0x9b5e3b0, previous=0x0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb5220bd8 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9b78eb8, th=0x9b5e3b0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0xb521e653 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9cafd98, th=0x9b5e3b0, previous=0x0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0xb5220bd8 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9b78eb8, th=0x9b5e3b0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0xb521e653 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9cafd98, th=0x9b5e3b0, previous=0x0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WeaverImpl.cpp:351
#13 0xb5220bd8 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9b78eb8, th=0x9b5e3b0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WorkingHardState.cpp:74
#14 0xb521e653 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9cafd98, th=0x9b5e3b0, previous=0x0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WeaverImpl.cpp:351
#15 0xb521ec34 in ThreadWeaver::ThreadRunHelper::run (this=0xa5d07354, parent=0x9cafd98, th=0x9b5e3b0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/Thread.cpp:87
#16 0xb521f2aa in ThreadWeaver::Thread::run (this=0x9b5e3b0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/Thread.cpp:142
#17 0xb69c0ec3 in QThreadPrivate::start (arg=0x9b5e3b0) at thread/qthread_unix.cpp:188
#18 0xb5d14885 in start_thread () from /lib/i686/libpthread.so.0
#19 0xb5e5357e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0xa5506b70 (LWP 28350)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5d189e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/libpthread.so.0
#2  0xb5e616ed in __pthread_cond_wait (cond=0x9cafe50, mutex=0x9cafe38) at forward.c:139
#3  0xb69c1ff0 in QWaitCondition::wait (this=0x9cafdb0, mutex=0x9b12498, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb521e3c9 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9cafd98, th=0x9ad0e50) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb5220abb in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9b78eb8, th=0x9ad0e50) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb521ca1a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9cafd98, th=0x9ad0e50) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb5220bbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x9b78eb8, th=0x9ad0e50) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb521e653 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9cafd98, th=0x9ad0e50, previous=0x0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb5220bd8 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9b78eb8, th=0x9ad0e50) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0xb521e653 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9cafd98, th=0x9ad0e50, previous=0x0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0xb5220bd8 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9b78eb8, th=0x9ad0e50) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0xb521e653 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9cafd98, th=0x9ad0e50, previous=0x0) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WeaverImpl.cpp:351
#13 0xb5220bd8 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9b78eb8, th=0x9ad0e50) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WorkingHardState.cpp:74
#14 0xb521e653 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9cafd98, th=0x9ad0e50, previous=0x96a5870) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/WeaverImpl.cpp:351
#15 0xb521ec34 in ThreadWeaver::ThreadRunHelper::run (this=0xa5506354, parent=0x9cafd98, th=0x9ad0e50) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/Thread.cpp:87
#16 0xb521f2aa in ThreadWeaver::Thread::run (this=0x9ad0e50) at /usr/src/debug/kdelibs-4.3.2/threadweaver/Weaver/Thread.cpp:142
#17 0xb69c0ec3 in QThreadPrivate::start (arg=0x9ad0e50) at thread/qthread_unix.cpp:188
#18 0xb5d14885 in start_thread () from /lib/i686/libpthread.so.0
#19 0xb5e5357e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0xa19fbb70 (LWP 28393)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5d189e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/libpthread.so.0
#2  0xb5e616ed in __pthread_cond_wait (cond=0xa402180, mutex=0xa402168) at forward.c:139
#3  0xb69c1ff0 in QWaitCondition::wait (this=0xa401870, mutex=0xa40186c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb661dd0c in QFileInfoGatherer::run (this=0xa401864) at dialogs/qfileinfogatherer.cpp:207
#5  0xb69c0ec3 in QThreadPrivate::start (arg=0xa401864) at thread/qthread_unix.cpp:188
#6  0xb5d14885 in start_thread () from /lib/i686/libpthread.so.0
#7  0xb5e5357e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0xa11fab70 (LWP 28394)):
#0  0xb39ab619 in IA__g_main_context_query (context=0xa406dd8, max_priority=2147483647, timeout=0xa11fa1d8, fds=0xa40f670, n_fds=2) at gmain.c:2336
#1  0xb39b00bc in g_main_context_iterate (context=0xa406dd8, block=<value optimized out>, dispatch=1, self=0xa40f640) at gmain.c:2573
#2  0xb39b058e in IA__g_main_context_iteration (context=0xa406dd8, may_block=1) at gmain.c:2654
#3  0xb6ae397f in QEventDispatcherGlib::processEvents (this=0x9dbef08, flags={i = 36}) at kernel/qeventdispatcher_glib.cpp:409
#4  0xb6ab62ad in QEventLoop::processEvents (this=0xa11fa304, flags=) at kernel/qeventloop.cpp:149
#5  0xb6ab66f9 in QEventLoop::exec (this=0xa11fa304, flags={i = 0}) at kernel/qeventloop.cpp:201
#6  0xb69bdba7 in QThread::exec (this=0xa402920) at thread/qthread.cpp:487
#7  0xb6a97cfd in QInotifyFileSystemWatcherEngine::run (this=0xa402920) at io/qfilesystemwatcher_inotify.cpp:214
#8  0xb69c0ec3 in QThreadPrivate::start (arg=0xa402920) at thread/qthread_unix.cpp:188
#9  0xb5d14885 in start_thread () from /lib/i686/libpthread.so.0
#10 0xb5e5357e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb2ff16d0 (LWP 28336)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5e48246 in __poll (fds=0xb5ed9ff4, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0xb3828130 in _xcb_conn_wait (c=0x9498840, cond=0x94998d4, vector=0xbfacc854, count=0xbfacc858) at xcb_conn.c:306
#3  0xb38286c2 in _xcb_out_send (c=0x9498840, vector=0xbfacc854, count=0xbfacc858) at xcb_out.c:338
#4  0xb3828a91 in xcb_writev (c=0x9498840, vector=0xbfacc878, count=3, requests=556) at xcb_out.c:286
#5  0xb5beb0ef in _XSend (dpy=0x94a2280, data=0x0, size=0) at xcb_io.c:332
#6  0xb5beb172 in _XFlush (dpy=0x94a2280) at xcb_io.c:349
#7  0xb5bc036d in XFlush (dpy=0x94a2280) at Flush.c:41
#8  0xb616de93 in QWidgetPrivate::hide_sys (this=0x94ce978) at kernel/qwidget_x11.cpp:2045
#9  0xb6132f75 in QWidgetPrivate::hide_helper (this=0x94ce978) at kernel/qwidget.cpp:6837
#10 0xb613b970 in QWidget::setVisible (this=0x94bc2e0, visible=false) at kernel/qwidget.cpp:7017
#11 0xb61300ca in ~QWidget (this=0x94bc2e0) at ../../src/gui/kernel/qwidget.h:477
#12 0xb6169ac5 in ~QDesktopWidget (this=0x94bc2e0) at kernel/qdesktopwidget_x11.cpp:228
#13 0xb60e6540 in ~QApplication (this=0xbfaccc0c) at kernel/qapplication.cpp:980
#14 0xb7613f68 in ~KApplication (this=0xbfaccc0c) at /usr/src/debug/kdelibs-4.3.2/kdeui/kernel/kapplication.cpp:893
#15 0xb761b1e8 in ~KUniqueApplication (this=0xbfaccc0c) at /usr/src/debug/kdelibs-4.3.2/kdeui/kernel/kuniqueapplication.cpp:372
#16 0xb7264caa in ~App (this=0xbfaccc0c) at /usr/src/debug/amarok-2.2.0/src/App.cpp:305
#17 0x08051ce7 in main (argc=1, argv=0xbfacd414) at /usr/src/debug/amarok-2.2.0/src/main.cpp:225

Reported using DrKonqi
Comment 1 Dario Andres 2009-10-21 15:54:22 UTC
The backtrace looks related to bug 208468: the application is being closed (thread1) and Jamendo functions are failing in a similar way.
Comment 2 Nikolaj Hald Nielsen 2009-10-29 19:23:19 UTC
Fixed in commit cbca8ecf3c0dfa3188df3749443c8a50dac5401b